org.jboss.shrinkwrap.descriptor.api.javaee6

## Interface MessageDestinationType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface MessageDestinationType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `message-destinationType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IconType<MessageDestinationType<T>>` | `createIcon()` Creates a new `icon` element
    `MessageDestinationType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `MessageDestinationType<T>` | `displayName(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.util.List<java.lang.String>` | `getAllDisplayName()` Returns all `display-name` elements
    `java.util.List<IconType<MessageDestinationType<T>>>` | `getAllIcon()` Returns all `icon` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getLookupName()` Returns the `lookup-name` element
    `java.lang.String` | `getMappedName()` Returns the `mapped-name` element
    `java.lang.String` | `getMessageDestinationName()` Returns the `message-destination-name` element
    `IconType<MessageDestinationType<T>>` | `getOrCreateIcon()` If not already created, a new `icon` element will be created and returned.
    `MessageDestinationType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `MessageDestinationType<T>` | `lookupName(java.lang.String lookupName)` Sets the `lookup-name` element
    `MessageDestinationType<T>` | `mappedName(java.lang.String mappedName)` Sets the `mapped-name` element
    `MessageDestinationType<T>` | `messageDestinationName(java.lang.String messageDestinationName)` Sets the `message-destination-name` element
    `MessageDestinationType<T>` | `removeAllDescription()` Removes the `description` element
    `MessageDestinationType<T>` | `removeAllDisplayName()` Removes the `display-name` element
    `MessageDestinationType<T>` | `removeAllIcon()` Removes all `icon` elements
    `MessageDestinationType<T>` | `removeId()` Removes the `id` attribute
    `MessageDestinationType<T>` | `removeLookupName()` Removes the `lookup-name` element
    `MessageDestinationType<T>` | `removeMappedName()` Removes the `mapped-name` element
    `MessageDestinationType<T>` | `removeMessageDestinationName()` Removes the `message-destination-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          MessageDestinationType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `MessageDestinationType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          MessageDestinationType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `MessageDestinationType`

    - #### displayName

          MessageDestinationType<T> displayName(java.lang.String... values)

      Creates for all String objects representing `display-name` elements, a new `display-name` element
      Parameters:
        `values` - list of `display-name` objects
      Returns:
        the current instance of `MessageDestinationType`

    - #### getAllDisplayName

          java.util.List<java.lang.String> getAllDisplayName()

      Returns all `display-name` elements
      Returns:
        list of `display-name`

    - #### removeAllDisplayName

          MessageDestinationType<T> removeAllDisplayName()

      Removes the `display-name` element
      Returns:
        the current instance of `MessageDestinationType`

    - #### getOrCreateIcon

          IconType<MessageDestinationType<T>> getOrCreateIcon()

      If not already created, a new `icon` element will be created and returned. Otherwise, the first existing `icon` element will be returned.
      Returns:
        the instance defined for the element `icon`

    - #### createIcon

          IconType<MessageDestinationType<T>> createIcon()

      Creates a new `icon` element
      Returns:
        the new created instance of `IconType>`

    - #### getAllIcon

          java.util.List<IconType<MessageDestinationType<T>>> getAllIcon()

      Returns all `icon` elements
      Returns:
        list of `icon`

    - #### removeAllIcon

          MessageDestinationType<T> removeAllIcon()

      Removes all `icon` elements
      Returns:
        the current instance of `IconType>`

    - #### messageDestinationName

          MessageDestinationType<T> messageDestinationName(java.lang.String messageDestinationName)

      Sets the `message-destination-name` element
      Parameters:
        `messageDestinationName` - the value for the element `message-destination-name`
      Returns:
        the current instance of `MessageDestinationType`

    - #### getMessageDestinationName

          java.lang.String getMessageDestinationName()

      Returns the `message-destination-name` element
      Returns:
        the node defined for the element `message-destination-name`

    - #### removeMessageDestinationName

          MessageDestinationType<T> removeMessageDestinationName()

      Removes the `message-destination-name` element
      Returns:
        the current instance of `MessageDestinationType`

    - #### mappedName

          MessageDestinationType<T> mappedName(java.lang.String mappedName)

      Sets the `mapped-name` element
      Parameters:
        `mappedName` - the value for the element `mapped-name`
      Returns:
        the current instance of `MessageDestinationType`

    - #### getMappedName

          java.lang.String getMappedName()

      Returns the `mapped-name` element
      Returns:
        the node defined for the element `mapped-name`

    - #### removeMappedName

          MessageDestinationType<T> removeMappedName()

      Removes the `mapped-name` element
      Returns:
        the current instance of `MessageDestinationType`

    - #### lookupName

          MessageDestinationType<T> lookupName(java.lang.String lookupName)

      Sets the `lookup-name` element
      Parameters:
        `lookupName` - the value for the element `lookup-name`
      Returns:
        the current instance of `MessageDestinationType`

    - #### getLookupName

          java.lang.String getLookupName()

      Returns the `lookup-name` element
      Returns:
        the node defined for the element `lookup-name`

    - #### removeLookupName

          MessageDestinationType<T> removeLookupName()

      Removes the `lookup-name` element
      Returns:
        the current instance of `MessageDestinationType`

    - #### id

          MessageDestinationType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `MessageDestinationType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          MessageDestinationType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `MessageDestinationType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)